
public class Class225_Sub4_Sub1 extends Class225_Sub4 {

   int anInt10378;


   public boolean method13344(int var1) {
      ObjectVar var2 = (ObjectVar)client.aClass423_7693.method7211((long)(1668731813 * this.anInt10378));
      if(null != var2) {
         if(var1 != 1385214721) {
            ;
         }

         Class225_Sub34.method14039(Class386.aClass386_4810, this.anInt8385 * -165881631, -1, (Class515_Sub1_Sub4_Sub4)var2.object, 1668731813 * this.anInt10378, (byte)0);
         return true;
      } else {
         return false;
      }
   }

   public boolean method13345() {
      ObjectVar var1 = (ObjectVar)client.aClass423_7693.method7211((long)(1668731813 * this.anInt10378));
      if(null != var1) {
         Class225_Sub34.method14039(Class386.aClass386_4810, this.anInt8385 * -165881631, -1, (Class515_Sub1_Sub4_Sub4)var1.object, 1668731813 * this.anInt10378, (byte)0);
         return true;
      } else {
         return false;
      }
   }

   public Class225_Sub4_Sub1(int var1, int var2, int var3) {
      super(var1, var2);
      this.anInt10378 = var3 * -1403003859;
   }

   public boolean method13343() {
      ObjectVar var1 = (ObjectVar)client.aClass423_7693.method7211((long)(1668731813 * this.anInt10378));
      if(null != var1) {
         Class225_Sub34.method14039(Class386.aClass386_4810, this.anInt8385 * -165881631, -1, (Class515_Sub1_Sub4_Sub4)var1.object, 1668731813 * this.anInt10378, (byte)0);
         return true;
      } else {
         return false;
      }
   }

   public boolean method13346() {
      ObjectVar var1 = (ObjectVar)client.aClass423_7693.method7211((long)(1668731813 * this.anInt10378));
      if(null != var1) {
         Class225_Sub34.method14039(Class386.aClass386_4810, this.anInt8385 * -165881631, -1, (Class515_Sub1_Sub4_Sub4)var1.object, 1668731813 * this.anInt10378, (byte)0);
         return true;
      } else {
         return false;
      }
   }

   public boolean method13347() {
      ObjectVar var1 = (ObjectVar)client.aClass423_7693.method7211((long)(1668731813 * this.anInt10378));
      if(null != var1) {
         Class225_Sub34.method14039(Class386.aClass386_4810, this.anInt8385 * -165881631, -1, (Class515_Sub1_Sub4_Sub4)var1.object, 1668731813 * this.anInt10378, (byte)0);
         return true;
      } else {
         return false;
      }
   }
}
